Scan Details
Fetch column-level PII detection results with ML confidence scores for a scanned data source object.
{
"data": {
"data_source_name": "salesforce",
"object_name": ["CustomerDB", "MarketingSchema", "CustomersTable"]
},
"next_page_token": null
}
curl -X PUT https://<domain>/api/vault/data-scan/objects/details \
-H "Authorization: Bearer <AUTH_TOKEN>" \
-H "Content-Type: application/json; charset=utf-8" \
-d '{
"data": {
"data_source_name": "salesforce",
"object_name": ["CustomerDB", "MarketingSchema", "CustomersTable"]
},
"next_page_token": null
}'
{
"data": [
{
"column_name": "CustomerID",
"values_scanned": 250,
"ml_identified_pi_details": [
{
"pi_type": "PERSON",
"identified_percentage": 20
}
]
},
{
"column_name": "email",
"values_scanned": 250,
"ml_identified_pi_details": [
{
"pi_type": "EMAIL_ADDRESS",
"identified_percentage": 98
}
]
}
],
"next_page_token": null,
"success": true,
"error": { "message": "" }
}
Fetches detailed PII detection results at the column level for a scanned object.
Endpoint
| Method | Endpoint |
|---|---|
PUT | https://<domain>/api/vault/data-scan/objects/details |
Response fields
column_namestring
RequiredName of the scanned column.
values_scannedinteger
RequiredNumber of values analyzed from this column.
ml_identified_pi_detailsarray
RequiredML detection results for this column.
next_page_tokenstring
Token for paginating large result sets. null when no more results.
Interpreting confidence scores
| Confidence range | Interpretation |
|---|---|
| 90–100% | High confidence — column almost certainly contains this PII type |
| 60–89% | Moderate confidence — likely contains this PII type |
| 30–59% | Low confidence — may contain this PII type, manual review recommended |
| Below 30% | Very low — likely a false positive |
Use the Update Scan Conclusions API to set the threshold at which a column is officially classified as PII.
Was this page helpful?
Last updated 1 day ago
Built with Documentation.AI